GENWORM(1)

NAME
genworm - generate a RADIANCE description of a functional worm

SYNOPSIS
genworm mat name 'x(t)' 'y(t)' 'z(t)' 'r(t)' nseg [ -e expr ][ -f file ]

DESCRIPTION
Genworm produces a RADIANCE scene description of a worm defined by the parametric equations x(t), y(t), z(t), and r(t) (the radius). T will vary from 0 to 1 in steps of 1/nseg. The surface will be composed of nseg cones or cylinders and nseg+1 spheres. The expressions are of the same type used in RADIANCE function files. Auxiliary expressions and/or files may be specified in any number of -e and -f options.

EXAMPLE
To generate a banana:

    genworm yellow banana '0' '5*sin(t)' '5*cos(t)' '.4-(.5-t)*(.5-t)' 20

AUTHOR
Greg Ward

BUGS
Since the worm is constructed of intersecting surfaces, only opaque materials should be used with this object. Also, a worm cannot double back inside itself without making a mess.

SEE ALSO
genrbox(1), genrev(1), gensurf(1), icalc(1), rpict(1), rvu(1), xform(1)